#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet/util/log'

module Puppet
  module Parser
    module Core
      def lookup_wls_var(name)
        catch (:undefined_variable)  do
          if wls_var_exists(name)
            return lookupvar(name).to_s
          end
        end
        'empty'
      end

      def wls_var_exists(name)
        catch (:undefined_variable)  do
          if lookupvar(name) != :undefined
            if lookupvar(name).nil?
              return false
            end
            return true
          end
        end
        false
      end

      def log(msg)
        Puppet::Util::Log.create(
          :level   => :info,
          :message => msg,
          :source  => 'wls_install_functions'
        )
      end
    end
  end
end
