#
# See the file "LICENSE" for the full license governing this code.
#
begin
  require "#{File.absolute_path(File.dirname(__FILE__))}/core.rb"
  include Puppet::Parser::Core

  module Puppet
    module Parser
      module Functions
        newfunction(:orawls_oracle_exists, :type => :rvalue) do |args|
          ora = lookup_wls_var('ora_inst_products')
          log "oracle_exists #{args[0]} #{ora}"
          if ora == 'empty'
            return false
          else
            software = args[0].strip
            log "oracle_exists compare #{ora} with #{software}"

            if ora.include? software
              log 'oracle_exists return true'
              return true
            end
          end
          log 'oracle_exists return false'
          return false
        end
      end
    end
  end
end
