#
# See the file "LICENSE" for the full license governing this code.
#
# lint:ignore:140chars
# == Define: wls_install::increased_memory_bsu
#
# Patches the BSU utility to increase the amount of memory available for patches.
##
define wls_install::increased_memory_bsu (
  $middleware_home_dir = hiera('wls_middleware_home_dir'), # /opt/oracle/middleware11gR1
  $jdk_home_dir        = hiera('wls_jdk_home_dir'), # /usr/java/jdk1.7.0_45
  $os_user             = hiera('wls_os_user'), # oracle
  $os_group            = hiera('wls_os_group'), # dba
  $download_dir        = hiera('wls_download_dir'), # /data/install
  $log_output          = 'on_failure', # true|false
)
{

  $exec_path = "/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:${jdk_home_dir}/bin"

  exec { "change memory params for ${name}":
    command   => "sed -e's/MEM_ARGS=\"-Xms256m -Xmx512m\"/MEM_ARGS=\"-Xms256m -Xmx1024m -XX:-UseGCOverheadLimit\"/g' ${middleware_home_dir}/utils/bsu/bsu.sh > ${download_dir}/bsu.sh && mv ${download_dir}/bsu.sh ${middleware_home_dir}/utils/bsu/bsu.sh;chmod +x ${middleware_home_dir}/utils/bsu/bsu.sh",
    unless    => "grep 'MEM_ARGS=\"-Xms256m -Xmx1024m -XX:-UseGCOverheadLimit\"' ${middleware_home_dir}/utils/bsu/bsu.sh",
    path      => $exec_path,
    user      => $os_user,
    group     => $os_group,
    cwd       => $download_dir,
    logoutput => $log_output,
  }
}
# lint:endignore
