#
# See the file "LICENSE" for the full license governing this code.
#
#
# This defined type removes all directoryes in the domain that once
# belonged to the default servers created by the fusion installers.
#
define wls_install::utils::private::old_servers_removed (
  $bam_enabled                 = false, # true|false
  $osb_enabled                 = false, # true|false
  $soa_enabled                 = false, # true|false
  $ess_enabled                 = false, # true|false
){

  $domain_dir = $name

  if $soa_enabled {
    file{"${domain_dir}/servers/soa_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

  if $bam_enabled {
    file{"${domain_dir}/servers/bam_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

  if $ess_enabled {
    file{"${domain_dir}/servers/ess_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

  if $osb_enabled {
    file{"${domain_dir}/servers/osb_server1":
      ensure  => absent,
      recurse => true,
      force   => true,
    }
  }

}
