require 'puppetlabs_spec_helper/module_spec_helper'
require 'puppetlabs_spec_helper/puppet_spec_helper'
require 'beaker-rspec/spec_helper'
require 'beaker/puppet_install_helper'
require 'beaker/module_install_helper'
require 'beaker-hiera'
require 'easy_type_helpers/acceptance'
Dir["./spec/support/acceptance/**/*.rb"].sort.each { |f| require f }

unless ENV['RS_PROVISION'] == 'no'
  run_puppet_install_helper
  install_ca_certs unless ENV['PUPPET_INSTALL_TYPE'] =~ %r{pe}i

  hosts.each do |host|
    on host, 'rm -rf /etc/puppetlabs/code/environments/production/modules'
    on host, 'mkdir /etc/puppetlabs/code/environments/production/modules'
    on host, "mkdir -p #{host['distmoduledir']}"
  end
end

# def hiera_values_for( host, values)
#   create_remote_file(host, "/etc/puppetlabs/code/environments/production/hieradata/common.yaml", values.to_yaml)
# end

RSpec.configure do |c|
  # Project root
  proj_root = File.expand_path(File.join(File.dirname(__FILE__), '..'))

  # Readable test descriptions
  c.formatter = :documentation
  c.order     = :defined
  c.include Helpers

  # Copy module root and easy_type to docker container
  c.before :suite do
    # em_license_file = ENV['EM_LICENSE_FILE']
    # fail 'You neeed to set $EM_LICENSE_FILE' if em_license_file.nil?
    em_license_file = '/software/Universal.entitlements'
    on(master, "cp #{em_license_file} /etc/puppetlabs/puppet/")
    # copy_module_to(master, :source => proj_root + "/spec/fixtures/modules/easy_type",
    #                        :target_module_path => '/etc/puppetlabs/code/environments/production/modules',
    #                        :module_name => 'easy_type')
    # on(:master, "rm -f /etc/puppetlabs/code/environments/production/modules/#{proj_name}")
    copy_module_to(master, :source => proj_root,
                           :ignore_list => ['software'],
                           :target_module_path => '/etc/puppetlabs/code/environments/production/modules',
                           :module_name => 'wls_install')

    ['os','java'].each do |file|
      scp_to(master, "#{proj_root}/spec/support/acceptance/#{file}.pp", '/etc/puppetlabs/code/environments/production/manifests')
    end
                      
    #
    # Install required modules
    #
    on(master, "puppet module install --module_repository http://forge.enterprisemodules.com enterprisemodules-easy_type --force")
    install_module_from_forge('puppetlabs-stdlib', '>= 4.13.0')
    install_module_from_forge('fiddyspence-sleep', '>=1.2.0')
    #
    # Just for testing
    #
    install_module_from_forge('saz-limits', '2.5.0')
    install_module_from_forge('herculesteam-augeasproviders_sysctl', '2.2.0')
    install_module_from_forge('biemond-jdk7', '1.0.0')
  end
end
