shared_examples "a WebLogic installer" do | settings|
  version = settings.fetch(:version)
  file    = settings.fetch(:file)

  # before(:all) do
  # #   hiera_values_for(master,
  # #     'mq_install::software::version'         => "#{version}",
  # #     'mq_install::software::source_location' => from,
  # #     'mq_install::software::install_sdk'     => true
  # #  )
  # end

  after(:all) do
    # Cleanup all
    # on('master', 'rpm -qa | grep MQ | xargs yum remove -y')
    # on(master, 'rm -rf /opt/mqm')
    # on(master, 'rm -rf /var/mqm')
  end

  manifest = <<-MANIFEST
  class{'::wls_install::software':
    version              => #{version},
    filename             => '#{file}',
    oracle_base_home_dir => '/opt/oracle',
    middleware_home_dir  => '/opt/oracle/middleware',
    jdk_home_dir         => '/usr/java/jdk1.8.0_141',
    os_user              => 'weblogic',
    os_group             => 'dba',
    download_dir         => '/data/install',
    source               => '/software',
    remote_file          => false,
  }
  MANIFEST

  it 'installs the WebLogic software' do
    apply_manifest(manifest, expect_changes: true)
  end

  describe file('/opt/oracle/middleware/oracle_common') do
    it { should be_directory }
    it { should be_owned_by('weblogic') }
    it { should be_grouped_into('dba') }
    it { should be_mode(750) }
  end

  describe file('/opt/oracle/middleware/wlserver') do
    it { should be_directory }
    it { should be_owned_by('weblogic') }
    it { should be_grouped_into('dba') }
    it { should be_mode(750) }
  end

  describe file('/opt/oracle/middleware/oraInst.loc') do
    it { should be_file }
    it { should be_owned_by('weblogic') }
    it { should be_grouped_into('dba') }
    it { should be_mode(640) }
  end

  it 'is idempotent on second run' do
    apply_manifest(manifest, expect_changes: false)
  end
end
