#!/usr/bin/env rspec

require 'spec_helper'

object_name       = File.basename(__FILE__).gsub('_spec.rb','')
object_under_test = Puppet::Type.type(object_name)

describe object_under_test do

  let(:attribute_class) {  @class.attrclass(attribute_name) }
  let(:attribute) {@resource.property(attribute_name)}

  before :each do
    @class = object_under_test
    @provider = double 'provider'
    allow(@provider).to receive(:name).and_return(:simple)
    allow(@class).to receive(:defaultprovider).and_return @provider
  end


  it 'should have :domain, :name  and :server_name as its namevar' do
    expect(@class.key_attributes).to eq ([:name])
  end

end